Runs
Create run
Retrieve run
Modify run
Submit tool outputs to run
Cancel a run
ModelsExpand Collapse
type RequiredActionFunctionToolCall struct{…}Tool call objects
Tool call objects
The ID of the tool call. This ID must be referenced when you submit the tool outputs in using the Submit tool outputs to run endpoint.
Function RequiredActionFunctionToolCallFunctionThe function definition.
The function definition.
The arguments that the model expects you to pass to the function.
The name of the function.
The type of tool call the output is required for. For now, this is always function.
type Run struct{…}Represents an execution run on a thread.
Represents an execution run on a thread.
The identifier, which can be referenced in API endpoints.
The ID of the assistant used for execution of this run.
The Unix timestamp (in seconds) for when the run was cancelled.
The Unix timestamp (in seconds) for when the run was completed.
The Unix timestamp (in seconds) for when the run was created.
The Unix timestamp (in seconds) for when the run will expire.
The Unix timestamp (in seconds) for when the run failed.
IncompleteDetails RunIncompleteDetailsDetails on why the run is incomplete. Will be null if the run is not incomplete.
Details on why the run is incomplete. Will be null if the run is not incomplete.
Reason stringoptionalThe reason why the run is incomplete. This will point to which specific token limit was reached over the course of the run.
The reason why the run is incomplete. This will point to which specific token limit was reached over the course of the run.
The instructions that the assistant used for this run.
LastError RunLastErrorThe last error associated with this run. Will be null if there are no errors.
The last error associated with this run. Will be null if there are no errors.
Code stringOne of server_error, rate_limit_exceeded, or invalid_prompt.
One of server_error, rate_limit_exceeded, or invalid_prompt.
A human-readable description of the error.
The maximum number of completion tokens specified to have been used over the course of the run.
The maximum number of prompt tokens specified to have been used over the course of the run.
Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard.
Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.
The model that the assistant used for this run.
The object type, which is always thread.run.
Whether to enable parallel function calling during tool use.
RequiredAction RunRequiredActionDetails on the action required to continue the run. Will be null if no action is required.
Details on the action required to continue the run. Will be null if no action is required.
SubmitToolOutputs RunRequiredActionSubmitToolOutputsDetails on the tool outputs needed for this run to continue.
Details on the tool outputs needed for this run to continue.
ToolCalls []RequiredActionFunctionToolCallA list of the relevant tool calls.
A list of the relevant tool calls.
The ID of the tool call. This ID must be referenced when you submit the tool outputs in using the Submit tool outputs to run endpoint.
Function RequiredActionFunctionToolCallFunctionThe function definition.
The function definition.
The arguments that the model expects you to pass to the function.
The name of the function.
The type of tool call the output is required for. For now, this is always function.
For now, this is always submit_tool_outputs.
Specifies the format that the model must output. Compatible with GPT-4o, GPT-4 Turbo, and all GPT-3.5 Turbo models since gpt-3.5-turbo-1106.
Setting to { "type": "json_schema", "json_schema": {...} } enables Structured Outputs which ensures the model will match your supplied JSON schema. Learn more in the Structured Outputs guide.
Setting to { "type": "json_object" } enables JSON mode, which ensures the message the model generates is valid JSON.
Important: when using JSON mode, you must also instruct the model to produce JSON yourself via a system or user message. Without this, the model may generate an unending stream of whitespace until the generation reaches the token limit, resulting in a long-running and seemingly "stuck" request. Also note that the message content may be partially cut off if finish_reason="length", which indicates the generation exceeded max_tokens or the conversation exceeded the max context length.
The Unix timestamp (in seconds) for when the run was started.
The status of the run, which can be either queued, in_progress, requires_action, cancelling, cancelled, failed, completed, incomplete, or expired.
The ID of the thread that was executed on as a part of this run.
Controls which (if any) tool is called by the model.
none means the model will not call any tools and instead generates a message.
auto is the default value and means the model can pick between generating a message or calling one or more tools.
required means the model must call one or more tools before responding to the user.
Specifying a particular tool like {"type": "file_search"} or {"type": "function", "function": {"name": "my_function"}} forces the model to call that tool.
Tools []AssistantToolUnionThe list of tools that the assistant used for this run.
The list of tools that the assistant used for this run.
type CodeInterpreterTool struct{…}
The type of tool being defined: code_interpreter
type FileSearchTool struct{…}
The type of tool being defined: file_search
FileSearch FileSearchToolFileSearchoptionalOverrides for the file search tool.
Overrides for the file search tool.
The maximum number of results the file search tool should output. The default is 20 for gpt-4* models and 5 for gpt-3.5-turbo. This number should be between 1 and 50 inclusive.
Note that the file search tool may output fewer than max_num_results results. See the file search tool documentation for more information.
RankingOptions FileSearchToolFileSearchRankingOptionsoptionalThe ranking options for the file search. If not specified, the file search tool will use the auto ranker and a score_threshold of 0.
See the file search tool documentation for more information.
The ranking options for the file search. If not specified, the file search tool will use the auto ranker and a score_threshold of 0.
See the file search tool documentation for more information.
The score threshold for the file search. All values must be a floating point number between 0 and 1.
Ranker stringoptionalThe ranker to use for the file search. If not specified will use the auto ranker.
The ranker to use for the file search. If not specified will use the auto ranker.
type FunctionTool struct{…}
The type of tool being defined: function
TruncationStrategy RunTruncationStrategyControls for how a thread will be truncated prior to the run. Use this to control the initial context window of the run.
Controls for how a thread will be truncated prior to the run. Use this to control the initial context window of the run.
Type stringThe truncation strategy to use for the thread. The default is auto. If set to last_messages, the thread will be truncated to the n most recent messages in the thread. When set to auto, messages in the middle of the thread will be dropped to fit the context length of the model, max_prompt_tokens.
The truncation strategy to use for the thread. The default is auto. If set to last_messages, the thread will be truncated to the n most recent messages in the thread. When set to auto, messages in the middle of the thread will be dropped to fit the context length of the model, max_prompt_tokens.
The number of most recent messages from the thread when constructing the context for the run.
Usage RunUsageUsage statistics related to the run. This value will be null if the run is not in a terminal state (i.e. in_progress, queued, etc.).
Usage statistics related to the run. This value will be null if the run is not in a terminal state (i.e. in_progress, queued, etc.).
Number of completion tokens used over the course of the run.
Number of prompt tokens used over the course of the run.
Total number of tokens used (prompt + completion).
The sampling temperature used for this run. If not set, defaults to 1.
The nucleus sampling value used for this run. If not set, defaults to 1.
type RunStatus stringThe status of the run, which can be either queued, in_progress, requires_action, cancelling, cancelled, failed, completed, incomplete, or expired.
The status of the run, which can be either queued, in_progress, requires_action, cancelling, cancelled, failed, completed, incomplete, or expired.
RunsSteps
List run steps
Retrieve run step
ModelsExpand Collapse
type CodeInterpreterLogs struct{…}Text output from the Code Interpreter tool call as part of a run step.
Text output from the Code Interpreter tool call as part of a run step.
The index of the output in the outputs array.
Always logs.
The text output from the Code Interpreter tool call.
type CodeInterpreterOutputImage struct{…}
The index of the output in the outputs array.
Always image.
Image CodeInterpreterOutputImageImageoptional
The file ID of the image.
type CodeInterpreterToolCall struct{…}Details of the Code Interpreter tool call the run step was involved in.
Details of the Code Interpreter tool call the run step was involved in.
The ID of the tool call.
CodeInterpreter CodeInterpreterToolCallCodeInterpreterThe Code Interpreter tool call definition.
The Code Interpreter tool call definition.
The input to the Code Interpreter tool call.
Outputs []CodeInterpreterToolCallCodeInterpreterOutputUnionThe outputs from the Code Interpreter tool call. Code Interpreter can output one or more items, including text (logs) or images (image). Each of these are represented by a different object type.
The outputs from the Code Interpreter tool call. Code Interpreter can output one or more items, including text (logs) or images (image). Each of these are represented by a different object type.
type CodeInterpreterToolCallCodeInterpreterOutputLogs struct{…}Text output from the Code Interpreter tool call as part of a run step.
Text output from the Code Interpreter tool call as part of a run step.
The text output from the Code Interpreter tool call.
Always logs.
type CodeInterpreterToolCallCodeInterpreterOutputImage struct{…}
Image CodeInterpreterToolCallCodeInterpreterOutputImageImage
The file ID of the image.
Always image.
The type of tool call. This is always going to be code_interpreter for this type of tool call.
type CodeInterpreterToolCallDelta struct{…}Details of the Code Interpreter tool call the run step was involved in.
Details of the Code Interpreter tool call the run step was involved in.
The index of the tool call in the tool calls array.
The type of tool call. This is always going to be code_interpreter for this type of tool call.
The ID of the tool call.
CodeInterpreter CodeInterpreterToolCallDeltaCodeInterpreteroptionalThe Code Interpreter tool call definition.
The Code Interpreter tool call definition.
The input to the Code Interpreter tool call.
Outputs []CodeInterpreterToolCallDeltaCodeInterpreterOutputUnionoptionalThe outputs from the Code Interpreter tool call. Code Interpreter can output one or more items, including text (logs) or images (image). Each of these are represented by a different object type.
The outputs from the Code Interpreter tool call. Code Interpreter can output one or more items, including text (logs) or images (image). Each of these are represented by a different object type.
type CodeInterpreterLogs struct{…}Text output from the Code Interpreter tool call as part of a run step.
Text output from the Code Interpreter tool call as part of a run step.
The index of the output in the outputs array.
Always logs.
The text output from the Code Interpreter tool call.
type CodeInterpreterOutputImage struct{…}
The index of the output in the outputs array.
Always image.
Image CodeInterpreterOutputImageImageoptional
The file ID of the image.
type FileSearchToolCall struct{…}
The ID of the tool call object.
FileSearch FileSearchToolCallFileSearchFor now, this is always going to be an empty object.
For now, this is always going to be an empty object.
RankingOptions FileSearchToolCallFileSearchRankingOptionsoptionalThe ranking options for the file search.
The ranking options for the file search.
Ranker stringThe ranker to use for the file search. If not specified will use the auto ranker.
The ranker to use for the file search. If not specified will use the auto ranker.
The score threshold for the file search. All values must be a floating point number between 0 and 1.
Results []FileSearchToolCallFileSearchResultoptionalThe results of the file search.
The results of the file search.
The ID of the file that result was found in.
The name of the file that result was found in.
The score of the result. All values must be a floating point number between 0 and 1.
Content []FileSearchToolCallFileSearchResultContentoptionalThe content of the result that was found. The content is only included if requested via the include query parameter.
The content of the result that was found. The content is only included if requested via the include query parameter.
The text content of the file.
The type of the content.
The type of tool call. This is always going to be file_search for this type of tool call.
type FileSearchToolCallDelta struct{…}
For now, this is always going to be an empty object.
The index of the tool call in the tool calls array.
The type of tool call. This is always going to be file_search for this type of tool call.
The ID of the tool call object.
type FunctionToolCall struct{…}
The ID of the tool call object.
Function FunctionToolCallFunctionThe definition of the function that was called.
The definition of the function that was called.
The arguments passed to the function.
The name of the function.
The output of the function. This will be null if the outputs have not been submitted yet.
The type of tool call. This is always going to be function for this type of tool call.
type FunctionToolCallDelta struct{…}
The index of the tool call in the tool calls array.
The type of tool call. This is always going to be function for this type of tool call.
The ID of the tool call object.
Function FunctionToolCallDeltaFunctionoptionalThe definition of the function that was called.
The definition of the function that was called.
The arguments passed to the function.
The name of the function.
The output of the function. This will be null if the outputs have not been submitted yet.
type MessageCreationStepDetails struct{…}Details of the message creation by the run step.
Details of the message creation by the run step.
MessageCreation MessageCreationStepDetailsMessageCreation
The ID of the message that was created by this run step.
Always message_creation.
type RunStep struct{…}Represents a step in execution of a run.
Represents a step in execution of a run.
The identifier of the run step, which can be referenced in API endpoints.
The ID of the assistant associated with the run step.
The Unix timestamp (in seconds) for when the run step was cancelled.
The Unix timestamp (in seconds) for when the run step completed.
The Unix timestamp (in seconds) for when the run step was created.
The Unix timestamp (in seconds) for when the run step expired. A step is considered expired if the parent run is expired.
The Unix timestamp (in seconds) for when the run step failed.
LastError RunStepLastErrorThe last error associated with this run step. Will be null if there are no errors.
The last error associated with this run step. Will be null if there are no errors.
Code stringOne of server_error or rate_limit_exceeded.
One of server_error or rate_limit_exceeded.
A human-readable description of the error.
Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard.
Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.
The object type, which is always thread.run.step.
The ID of the run that this run step is a part of.
Status RunStepStatusThe status of the run step, which can be either in_progress, cancelled, failed, completed, or expired.
The status of the run step, which can be either in_progress, cancelled, failed, completed, or expired.
StepDetails RunStepStepDetailsUnionThe details of the run step.
The details of the run step.
type MessageCreationStepDetails struct{…}Details of the message creation by the run step.
Details of the message creation by the run step.
MessageCreation MessageCreationStepDetailsMessageCreation
The ID of the message that was created by this run step.
Always message_creation.
type ToolCallsStepDetails struct{…}Details of the tool call.
Details of the tool call.
ToolCalls []ToolCallUnionAn array of tool calls the run step was involved in. These can be associated with one of three types of tools: code_interpreter, file_search, or function.
An array of tool calls the run step was involved in. These can be associated with one of three types of tools: code_interpreter, file_search, or function.
type CodeInterpreterToolCall struct{…}Details of the Code Interpreter tool call the run step was involved in.
Details of the Code Interpreter tool call the run step was involved in.
The ID of the tool call.
CodeInterpreter CodeInterpreterToolCallCodeInterpreterThe Code Interpreter tool call definition.
The Code Interpreter tool call definition.
The input to the Code Interpreter tool call.
Outputs []CodeInterpreterToolCallCodeInterpreterOutputUnionThe outputs from the Code Interpreter tool call. Code Interpreter can output one or more items, including text (logs) or images (image). Each of these are represented by a different object type.
The outputs from the Code Interpreter tool call. Code Interpreter can output one or more items, including text (logs) or images (image). Each of these are represented by a different object type.
type CodeInterpreterToolCallCodeInterpreterOutputLogs struct{…}Text output from the Code Interpreter tool call as part of a run step.
Text output from the Code Interpreter tool call as part of a run step.
The text output from the Code Interpreter tool call.
Always logs.
type CodeInterpreterToolCallCodeInterpreterOutputImage struct{…}
Image CodeInterpreterToolCallCodeInterpreterOutputImageImage
The file ID of the image.
Always image.
The type of tool call. This is always going to be code_interpreter for this type of tool call.
type FileSearchToolCall struct{…}
The ID of the tool call object.
FileSearch FileSearchToolCallFileSearchFor now, this is always going to be an empty object.
For now, this is always going to be an empty object.
RankingOptions FileSearchToolCallFileSearchRankingOptionsoptionalThe ranking options for the file search.
The ranking options for the file search.
Ranker stringThe ranker to use for the file search. If not specified will use the auto ranker.
The ranker to use for the file search. If not specified will use the auto ranker.
The score threshold for the file search. All values must be a floating point number between 0 and 1.
Results []FileSearchToolCallFileSearchResultoptionalThe results of the file search.
The results of the file search.
The ID of the file that result was found in.
The name of the file that result was found in.
The score of the result. All values must be a floating point number between 0 and 1.
Content []FileSearchToolCallFileSearchResultContentoptionalThe content of the result that was found. The content is only included if requested via the include query parameter.
The content of the result that was found. The content is only included if requested via the include query parameter.
The text content of the file.
The type of the content.
The type of tool call. This is always going to be file_search for this type of tool call.
type FunctionToolCall struct{…}
The ID of the tool call object.
Function FunctionToolCallFunctionThe definition of the function that was called.
The definition of the function that was called.
The arguments passed to the function.
The name of the function.
The output of the function. This will be null if the outputs have not been submitted yet.
The type of tool call. This is always going to be function for this type of tool call.
Always tool_calls.
The ID of the thread that was run.
Type RunStepTypeThe type of run step, which can be either message_creation or tool_calls.
The type of run step, which can be either message_creation or tool_calls.
Usage RunStepUsageUsage statistics related to the run step. This value will be null while the run step's status is in_progress.
Usage statistics related to the run step. This value will be null while the run step's status is in_progress.
Number of completion tokens used over the course of the run step.
Number of prompt tokens used over the course of the run step.
Total number of tokens used (prompt + completion).
type RunStepDelta struct{…}The delta containing the fields that have changed on the run step.
The delta containing the fields that have changed on the run step.
StepDetails RunStepDeltaStepDetailsUnionoptionalThe details of the run step.
The details of the run step.
type RunStepDeltaMessageDelta struct{…}Details of the message creation by the run step.
Details of the message creation by the run step.
Always message_creation.
MessageCreation RunStepDeltaMessageDeltaMessageCreationoptional
The ID of the message that was created by this run step.
type ToolCallDeltaObject struct{…}Details of the tool call.
Details of the tool call.
Always tool_calls.
An array of tool calls the run step was involved in. These can be associated with one of three types of tools: code_interpreter, file_search, or function.
An array of tool calls the run step was involved in. These can be associated with one of three types of tools: code_interpreter, file_search, or function.
type CodeInterpreterToolCallDelta struct{…}Details of the Code Interpreter tool call the run step was involved in.
Details of the Code Interpreter tool call the run step was involved in.
The index of the tool call in the tool calls array.
The type of tool call. This is always going to be code_interpreter for this type of tool call.
The ID of the tool call.
CodeInterpreter CodeInterpreterToolCallDeltaCodeInterpreteroptionalThe Code Interpreter tool call definition.
The Code Interpreter tool call definition.
The input to the Code Interpreter tool call.
Outputs []CodeInterpreterToolCallDeltaCodeInterpreterOutputUnionoptionalThe outputs from the Code Interpreter tool call. Code Interpreter can output one or more items, including text (logs) or images (image). Each of these are represented by a different object type.
The outputs from the Code Interpreter tool call. Code Interpreter can output one or more items, including text (logs) or images (image). Each of these are represented by a different object type.
type CodeInterpreterLogs struct{…}Text output from the Code Interpreter tool call as part of a run step.
Text output from the Code Interpreter tool call as part of a run step.
The index of the output in the outputs array.
Always logs.
The text output from the Code Interpreter tool call.
type CodeInterpreterOutputImage struct{…}
The index of the output in the outputs array.
Always image.
Image CodeInterpreterOutputImageImageoptional
The file ID of the image.
type FileSearchToolCallDelta struct{…}
For now, this is always going to be an empty object.
The index of the tool call in the tool calls array.
The type of tool call. This is always going to be file_search for this type of tool call.
The ID of the tool call object.
type FunctionToolCallDelta struct{…}
The index of the tool call in the tool calls array.
The type of tool call. This is always going to be function for this type of tool call.
The ID of the tool call object.
Function FunctionToolCallDeltaFunctionoptionalThe definition of the function that was called.
The definition of the function that was called.
The arguments passed to the function.
The name of the function.
The output of the function. This will be null if the outputs have not been submitted yet.
type RunStepDeltaEvent struct{…}Represents a run step delta i.e. any changed fields on a run step during streaming.
Represents a run step delta i.e. any changed fields on a run step during streaming.
The identifier of the run step, which can be referenced in API endpoints.
The delta containing the fields that have changed on the run step.
The object type, which is always thread.run.step.delta.
type RunStepDeltaMessageDelta struct{…}Details of the message creation by the run step.
Details of the message creation by the run step.
Always message_creation.
MessageCreation RunStepDeltaMessageDeltaMessageCreationoptional
The ID of the message that was created by this run step.
type ToolCallUnion interface{…}Details of the Code Interpreter tool call the run step was involved in.
Details of the Code Interpreter tool call the run step was involved in.
type CodeInterpreterToolCall struct{…}Details of the Code Interpreter tool call the run step was involved in.
Details of the Code Interpreter tool call the run step was involved in.
The ID of the tool call.
CodeInterpreter CodeInterpreterToolCallCodeInterpreterThe Code Interpreter tool call definition.
The Code Interpreter tool call definition.
The input to the Code Interpreter tool call.
Outputs []CodeInterpreterToolCallCodeInterpreterOutputUnionThe outputs from the Code Interpreter tool call. Code Interpreter can output one or more items, including text (logs) or images (image). Each of these are represented by a different object type.
The outputs from the Code Interpreter tool call. Code Interpreter can output one or more items, including text (logs) or images (image). Each of these are represented by a different object type.
type CodeInterpreterToolCallCodeInterpreterOutputLogs struct{…}Text output from the Code Interpreter tool call as part of a run step.
Text output from the Code Interpreter tool call as part of a run step.
The text output from the Code Interpreter tool call.
Always logs.
type CodeInterpreterToolCallCodeInterpreterOutputImage struct{…}
Image CodeInterpreterToolCallCodeInterpreterOutputImageImage
The file ID of the image.
Always image.
The type of tool call. This is always going to be code_interpreter for this type of tool call.
type FileSearchToolCall struct{…}
The ID of the tool call object.
FileSearch FileSearchToolCallFileSearchFor now, this is always going to be an empty object.
For now, this is always going to be an empty object.
RankingOptions FileSearchToolCallFileSearchRankingOptionsoptionalThe ranking options for the file search.
The ranking options for the file search.
Ranker stringThe ranker to use for the file search. If not specified will use the auto ranker.
The ranker to use for the file search. If not specified will use the auto ranker.
The score threshold for the file search. All values must be a floating point number between 0 and 1.
Results []FileSearchToolCallFileSearchResultoptionalThe results of the file search.
The results of the file search.
The ID of the file that result was found in.
The name of the file that result was found in.
The score of the result. All values must be a floating point number between 0 and 1.
Content []FileSearchToolCallFileSearchResultContentoptionalThe content of the result that was found. The content is only included if requested via the include query parameter.
The content of the result that was found. The content is only included if requested via the include query parameter.
The text content of the file.
The type of the content.
The type of tool call. This is always going to be file_search for this type of tool call.
type FunctionToolCall struct{…}
The ID of the tool call object.
Function FunctionToolCallFunctionThe definition of the function that was called.
The definition of the function that was called.
The arguments passed to the function.
The name of the function.
The output of the function. This will be null if the outputs have not been submitted yet.
The type of tool call. This is always going to be function for this type of tool call.
type ToolCallDeltaUnion interface{…}Details of the Code Interpreter tool call the run step was involved in.
Details of the Code Interpreter tool call the run step was involved in.
type CodeInterpreterToolCallDelta struct{…}Details of the Code Interpreter tool call the run step was involved in.
Details of the Code Interpreter tool call the run step was involved in.
The index of the tool call in the tool calls array.
The type of tool call. This is always going to be code_interpreter for this type of tool call.
The ID of the tool call.
CodeInterpreter CodeInterpreterToolCallDeltaCodeInterpreteroptionalThe Code Interpreter tool call definition.
The Code Interpreter tool call definition.
The input to the Code Interpreter tool call.
Outputs []CodeInterpreterToolCallDeltaCodeInterpreterOutputUnionoptionalThe outputs from the Code Interpreter tool call. Code Interpreter can output one or more items, including text (logs) or images (image). Each of these are represented by a different object type.
The outputs from the Code Interpreter tool call. Code Interpreter can output one or more items, including text (logs) or images (image). Each of these are represented by a different object type.
type CodeInterpreterLogs struct{…}Text output from the Code Interpreter tool call as part of a run step.
Text output from the Code Interpreter tool call as part of a run step.
The index of the output in the outputs array.
Always logs.
The text output from the Code Interpreter tool call.
type CodeInterpreterOutputImage struct{…}
The index of the output in the outputs array.
Always image.
Image CodeInterpreterOutputImageImageoptional
The file ID of the image.
type FileSearchToolCallDelta struct{…}
For now, this is always going to be an empty object.
The index of the tool call in the tool calls array.
The type of tool call. This is always going to be file_search for this type of tool call.
The ID of the tool call object.
type FunctionToolCallDelta struct{…}
The index of the tool call in the tool calls array.
The type of tool call. This is always going to be function for this type of tool call.
The ID of the tool call object.
Function FunctionToolCallDeltaFunctionoptionalThe definition of the function that was called.
The definition of the function that was called.
The arguments passed to the function.
The name of the function.
The output of the function. This will be null if the outputs have not been submitted yet.
type ToolCallDeltaObject struct{…}Details of the tool call.
Details of the tool call.
Always tool_calls.
An array of tool calls the run step was involved in. These can be associated with one of three types of tools: code_interpreter, file_search, or function.
An array of tool calls the run step was involved in. These can be associated with one of three types of tools: code_interpreter, file_search, or function.
type CodeInterpreterToolCallDelta struct{…}Details of the Code Interpreter tool call the run step was involved in.
Details of the Code Interpreter tool call the run step was involved in.
The index of the tool call in the tool calls array.
The type of tool call. This is always going to be code_interpreter for this type of tool call.
The ID of the tool call.
CodeInterpreter CodeInterpreterToolCallDeltaCodeInterpreteroptionalThe Code Interpreter tool call definition.
The Code Interpreter tool call definition.
The input to the Code Interpreter tool call.
Outputs []CodeInterpreterToolCallDeltaCodeInterpreterOutputUnionoptionalThe outputs from the Code Interpreter tool call. Code Interpreter can output one or more items, including text (logs) or images (image). Each of these are represented by a different object type.
The outputs from the Code Interpreter tool call. Code Interpreter can output one or more items, including text (logs) or images (image). Each of these are represented by a different object type.
type CodeInterpreterLogs struct{…}Text output from the Code Interpreter tool call as part of a run step.
Text output from the Code Interpreter tool call as part of a run step.
The index of the output in the outputs array.
Always logs.
The text output from the Code Interpreter tool call.
type CodeInterpreterOutputImage struct{…}
The index of the output in the outputs array.
Always image.
Image CodeInterpreterOutputImageImageoptional
The file ID of the image.
type FileSearchToolCallDelta struct{…}
For now, this is always going to be an empty object.
The index of the tool call in the tool calls array.
The type of tool call. This is always going to be file_search for this type of tool call.
The ID of the tool call object.
type FunctionToolCallDelta struct{…}
The index of the tool call in the tool calls array.
The type of tool call. This is always going to be function for this type of tool call.
The ID of the tool call object.
Function FunctionToolCallDeltaFunctionoptionalThe definition of the function that was called.
The definition of the function that was called.
The arguments passed to the function.
The name of the function.
The output of the function. This will be null if the outputs have not been submitted yet.
type ToolCallsStepDetails struct{…}Details of the tool call.
Details of the tool call.
ToolCalls []ToolCallUnionAn array of tool calls the run step was involved in. These can be associated with one of three types of tools: code_interpreter, file_search, or function.
An array of tool calls the run step was involved in. These can be associated with one of three types of tools: code_interpreter, file_search, or function.
type CodeInterpreterToolCall struct{…}Details of the Code Interpreter tool call the run step was involved in.
Details of the Code Interpreter tool call the run step was involved in.
The ID of the tool call.
CodeInterpreter CodeInterpreterToolCallCodeInterpreterThe Code Interpreter tool call definition.
The Code Interpreter tool call definition.
The input to the Code Interpreter tool call.
Outputs []CodeInterpreterToolCallCodeInterpreterOutputUnionThe outputs from the Code Interpreter tool call. Code Interpreter can output one or more items, including text (logs) or images (image). Each of these are represented by a different object type.
The outputs from the Code Interpreter tool call. Code Interpreter can output one or more items, including text (logs) or images (image). Each of these are represented by a different object type.
type CodeInterpreterToolCallCodeInterpreterOutputLogs struct{…}Text output from the Code Interpreter tool call as part of a run step.
Text output from the Code Interpreter tool call as part of a run step.
The text output from the Code Interpreter tool call.
Always logs.
type CodeInterpreterToolCallCodeInterpreterOutputImage struct{…}
Image CodeInterpreterToolCallCodeInterpreterOutputImageImage
The file ID of the image.
Always image.
The type of tool call. This is always going to be code_interpreter for this type of tool call.
type FileSearchToolCall struct{…}
The ID of the tool call object.
FileSearch FileSearchToolCallFileSearchFor now, this is always going to be an empty object.
For now, this is always going to be an empty object.
RankingOptions FileSearchToolCallFileSearchRankingOptionsoptionalThe ranking options for the file search.
The ranking options for the file search.
Ranker stringThe ranker to use for the file search. If not specified will use the auto ranker.
The ranker to use for the file search. If not specified will use the auto ranker.
The score threshold for the file search. All values must be a floating point number between 0 and 1.
Results []FileSearchToolCallFileSearchResultoptionalThe results of the file search.
The results of the file search.
The ID of the file that result was found in.
The name of the file that result was found in.
The score of the result. All values must be a floating point number between 0 and 1.
Content []FileSearchToolCallFileSearchResultContentoptionalThe content of the result that was found. The content is only included if requested via the include query parameter.
The content of the result that was found. The content is only included if requested via the include query parameter.
The text content of the file.
The type of the content.
The type of tool call. This is always going to be file_search for this type of tool call.
type FunctionToolCall struct{…}
The ID of the tool call object.
Function FunctionToolCallFunctionThe definition of the function that was called.
The definition of the function that was called.
The arguments passed to the function.
The name of the function.
The output of the function. This will be null if the outputs have not been submitted yet.
The type of tool call. This is always going to be function for this type of tool call.
Always tool_calls.